
QGIS Application - Bug report #3164

Gibberish in output tab of GRASS tools

2010-10-28 09:46 AM - dr -

Status: Closed

Priority: Low

Assignee:

Category: GRASS

Affected QGIS version:master Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 13224

Description

See attachment.

Associated revisions

Revision c53c8581 - 2012-11-04 07:00 PM - Giuseppe Sucameli

grass plugin: avoid garbled japanese/cyrillic chars in the tools' GUI (fix #4547, #3164)

Thanks Minoru Akagi for patches!

History

#1 - 2011-03-02 08:06 AM - Paolo Cavallini

I think this is related to cyrillic characters. Please chack again with a recent version from trunk, as this should have been fixed.

#2 - 2011-03-02 08:59 AM - dr -

Bug still present at commit:95af577b (SVN r15307).

#3 - 2011-04-16 06:06 AM - Markus Neteler

I suspect that the v.in.ogr GRASS message catalogue (po file) is in a different encoding that QGIS understands. Note that GRASS po files come

(naturally) in different encodings. It is important to set the right encoding in QGIS before displaying the GRASS generated messages.

#4 - 2011-12-16 01:54 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#5 - 2011-12-23 09:25 AM - Paolo Cavallini

- Crashes QGIS or corrupts data set to No

- Assignee deleted (Lorenzo Masini)

- Pull Request or Patch supplied set to No

- Affected QGIS version set to master

#6 - 2012-04-16 06:24 AM - Paolo Cavallini

- Target version changed from Version 1.7.4 to Version 1.8.0
#7 - 2012-09-04 12:02 PM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#8 - 2012-11-01 04:11 PM - Minoru Akagi

It's good to handle output text encoding of GRASS modules as "System" encoding, I suppose.

#9 - 2012-11-01 05:55 PM - Paolo Cavallini

May be duplicated in #4547. Please note: patch attached to #4547

#10 - 2012-11-04 10:05 AM - Giuseppe Sucameli

- Status changed from Open to Closed

Fixed in changeset commit:"c53c85813f4723b75d4e9326d2565fb51eaa8355".

#11 - 2012-11-04 10:18 AM - Giuseppe Sucameli

- Status changed from Closed to Resolved

- Assignee set to Giuseppe Sucameli

- Resolution set to fixed

Thanks Minoru Akagi for the patch!

Please test it and reopen if necessary.

#12 - 2012-12-31 01:24 AM - Paolo Cavallini

- Assignee changed from Giuseppe Sucameli to anonymous -

#13 - 2013-10-01 07:15 AM - Giuseppe Sucameli

- Status changed from Resolved to Closed

Fixed in changeset commit:"c53c85813f4723b75d4e9326d2565fb51eaa8355".

#14 - 2014-06-29 10:13 AM - Jürgen Fischer

- Assignee deleted (anonymous -)

Files

28.10-2.png 16.1 KB 2010-10-28 dr -

2025-04-27 2/2


